none
MongoDB 3.4 wire protocol (version 5) preview feature simply doesn't work. Needs to maxWireVersion higher than 2. RRS feed

  • Question

  • When attempting to connect to the Azure Cosmos DB account, the service currently returns maxWireVersion of 2.  Any modern systems connecting to a MongoDb will need this to at least be 3.0.  There seems to be a preview version for this, but even when enabled, it doesn't return anything other than 2 for maxWireVersion.
    Thursday, August 22, 2019 6:58 AM

All replies

  • Hi SteveWKennedy

    With enabling preview feature MongoDB 3.4 wire protocol (version 5) in Azure , the wire version does change to 5. 

    A Cosmos DB account was created with Mongo API and the preview feature was enabled. Connected the same DB from Robo3T and wire version also updated. It took a little time of approx 5 to 10 min. Please check screen shots:

    Hope this helps and please do try again. If any further issue please get back to us.

    Thanks
    Navtej S 

    Thursday, August 22, 2019 8:41 PM
    Moderator
  • Hi SteveWKennedy

    We have proposed the previous reply as an answer. Please mark it as an answer if it has helped you so others can take help from the same. Or please get back to us if any information is required.

    Thanks
    Navtej S

    Monday, August 26, 2019 2:32 PM
    Moderator